Functionality
The endpoint called when the player rewarded.- The Operator is expected to increase player’s balance by reward amount and return a new balance.
- bonus reward has refTransactionId which is reference identifier of bonus. Before any altering of player’s balance, Operator has to check that reward wasn’t processed before.
- jackpot reward has refTransactionId which is reference identifier of jackpot.
Headers
string
required
A unique identifier associated with operator calling API.
string
required
A SHA256 HMAC signature generated using the request body and timestamp.
Format: HMAC_SHA256(JSON.stringify(data) + ’|’ + timestamp), signed using the
provided secret key.
string
required
An Unix timestamp (milliseconds) when the request was sent. Ensure the same
value is used in signature generation.
string
required
Must be set to
application/jsonRequest Body
string
required
The unique transaction identifier. An action with same transactionId shouldn’t be processed more than once.
string
required
A reference identifier for the reward transaction.Bonus reward → bonus ID which given to operator at bonus configure api.Jackpot reward → jackpot ID which given to operator at jackpot configure api.
string
required
An unique identifier for the session.
string
required
Type of reward granted to the player.Allowed Types: jackpot, bonus
string
required
An unique identifier for the player.
string
required
An unique identifier for the game.
number
required
An amount rewarded to the player.
To maintain precision and avoid floating-point errors, the balance field is processed as an integer value by multiplying the actual amount by
100000.For example, a balance of 12.34567 will be represented as 1234567 in the API.Response
string
required
Code indicates status of the request weather it is succeed or failed. We have listed error codes here
string
required
An ID of an action that is generated for each of our calls to the Operator, used to sync OppiGame and Operator sides for debugging purposes. The Operator has to respond with the same transactionId as the one received in request.
number
required
The updated balance of the player.
To maintain precision and avoid floating-point errors, the balance field is processed as an integer value by multiplying the actual amount by
100000.For example, a balance of 12.34567 will be represented as 1234567 in the API.